PRIMES.PL(1)

NAME
primes.pl - Display all primes

SYNOPSIS
primes [options] [START] END

DESCRIPTION
Displays all primes between the positive integers START and END, inclusive. The START and END values must be integers or simple expressions. This allows inputs like "10**500+100" or "2**64-1000" or "2 * nth_prime(560)". Additionally, if END starts with '+' then it is assumed to add to START. If only one number is given, primes up to that number are shown (START = 0).

General options:

--help
    displays this help message

Filter options, which will cause the list of primes to be further filtered to only those primes additionally meeting these conditions:

--twin
    Twin p+2 is prime

--triplet
    Triplet p+6 and (p+2 or p+4) are prime

--quadruplet Quadruplet
    p+2, p+6, and p+8 are prime

--cousin
    Cousin p+4 is prime

--sexy
    Sexy p+6 is prime

--safe
    Safe (p-1)/2 is also prime

--sophie
    Sophie Germain 2p+1 is also prime

--lucas
    Lucas L_p is prime

--fibonacci
    Fibonacci F_p is prime

--mersenne
    Mersenne M_p = 2^p-1 is prime

--lucky
    Lucky p is a lucky number

--palindr
    Palindromic p is equal to p with its base-10 digits reversed

--pillai
    Pillai n! % p = p-1 and p % n != 1 for some n

--good
    Good p_n^2 > p_{n-i}*p_{n+i} for all i in (1..n-1)

--cuban1
    Cuban (y+1) p = (x^3 - y^3)/(x-y), x=y+1

--cuban2
    Cuban (y+2) p = (x^3 - y^3)/(x-y), x=y+2

--pnp1
    Primorial+1 p#+1 is prime

--pnm1
    Primorial-1 p#-1 is prime

--euclid
    Euclid pn#+1 is prime

--circular
    Circular all digit rotations of p are prime

--panaitopol Panaitopol
    p = (x^4-y^4)/(x^3+y^3) for some x,y

--provable
    Ensure all primes are provably prime

Note that options can be combined, e.g. display only safe twin primes. In all cases involving multiples (twin, triplet, etc.), the value returned is p -- the least value of the set.

AUTHOR
Written by Dana Jacobsen.